import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// Used only for grid stuff:
import { BootstrapVue } from 'bootstrap-vue'

import { TabPlugin } from '@syncfusion/ej2-vue-navigations';
import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';
import { TextBoxPlugin } from '@syncfusion/ej2-vue-inputs';

import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

Vue.config.productionTip = false

Vue.use(TabPlugin);
Vue.use(ButtonPlugin);
Vue.use(BootstrapVue);
Vue.use(TextBoxPlugin);

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
